Online payments
Start an online recharge: creates an unpaid order, pre-orders it at the payment gateway and returns the payment URL.
paymentsBillingAuthentication: User1 endpointsCreate online payment
POST
/api/v2/payments/{provider}/ordersAuthentication: User
Request body application/json
| Field | Type | Required | Description |
|---|---|---|---|
| amount_cents | integer | Required | Recharge amount in cents. |
Online payments object
| Field | Type | Required | Description |
|---|---|---|---|
| amount_cents | integer | Required | Recharge amount in cents. |
| gateway | string | — | The payment gateway the order was placed with. |
| mch_order_no | string | — | Merchant order number (the gateway-side order number). |
| order_id | integer | — | ID of the unpaid order. |
| pay_url | string | — | Payment address: a redirect URL, or a QR code string for weixin:// and Alipay face-to-face payment. |